<app-header (toggleSideBarForMe)="sideBarToggler($event)" class="fixed w-full z-[2] h-16"></app-header>


<!-- <div class="flex h-screen">
   
  <div class="w-[20vw]  border-r-2 border-r-gray-200 fixed h-[100vh] bg-white overflow-y-auto left-0 m-0 z-[1] top-[3.1rem]"  *ngIf="sideBarOpen">
      <app-sidebar></app-sidebar>
  </div>
  <div class="flex-1">
      <router-outlet><p>hello</p></router-outlet>
  </div>
</div>
<app-footer></app-footer> -->

<div class="absolute w-screen top-[3.1rem] z-[1]">
      <app-sidebar class="absolute w-96 left-0 bg-white h-[calc(100vh-3.1rem)] border-r-2 border-r-gray-200" *ngIf="sideBarOpen"></app-sidebar>
  <div class="absolute left-96 w-[calc(100vh-24rem)] p-3">
      <router-outlet><p>hello</p></router-outlet>
  </div>
</div>
<app-footer></app-footer>